#!/bin/sh
# this is executed on camera when app is installed

#set debug mode and redirext ALL output to logfile.
#KEEP THIS AT TOP!!!
set -x
set +e
exec > /tmp/camswitcher_install.log 2>&1

# chmod
chmod 750 /usr/local/packages/camswitcher/camswitcher
chmod 750 /usr/local/packages/camswitcher/tools/enable_cgi.sh
chmod 750 /usr/local/packages/camswitcher/tools/mDNSClient

/usr/local/packages/camswitcher/tools/enable_cgi.sh

eval $(grep VERSION /usr/local/packages/camswitcher/package.conf)
VERSION="$APPMAJORVERSION.$APPMINORVERSION.$APPMICROVERSION"
parhandclient set camswitcher.Version "$VERSION"

eval $(cat /usr/local/packages/camswitcher/version_info.txt)
VERSION_HASH="$BRANCH|$COMMIT_SHA|$TIMESTAMP"
parhandclient set camswitcher.VersionHash "$VERSION_HASH"

ln -snf /var/spool/storage/SD_DISK /usr/local/packages/camswitcher/localdata/SD_DISK

VERSION_REDIRECT="$APPMAJORVERSION-$APPMINORVERSION-$APPMICROVERSION"
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" $(find /usr/local/packages/camswitcher/html/ -type f -name "*.html")
